about summary refs log tree commit diff
path: root/afl-plot
diff options
context:
space:
mode:
authorvan Hauser <vh@thc.org>2020-06-22 07:16:24 +0200
committervan Hauser <vh@thc.org>2020-06-22 07:16:24 +0200
commita49b5ef072011cc840c37653d6f6469dc3671968 (patch)
tree7af2c14d523544c76f382147f483334d425eeb66 /afl-plot
parent5cad92e57ecda270753cf70311a7ac1ff6fdcc9e (diff)
downloadafl++-a49b5ef072011cc840c37653d6f6469dc3671968.tar.gz
allow /tmp
Diffstat (limited to 'afl-plot')
-rwxr-xr-xafl-plot35
1 files changed, 16 insertions, 19 deletions
diff --git a/afl-plot b/afl-plot
index 55745e93..de344eaa 100755
--- a/afl-plot
+++ b/afl-plot
@@ -35,9 +35,6 @@ an empty directory where this tool can write the resulting plots to.
 
 The program will put index.html and three PNG images in the output directory;
 you should be able to view it with any web browser of your choice.
-
-Environment variables used:
-AFL_ALLOW_TMP: allow /var/tmp or /tmp for input and output directories
 _EOF_
 
   exit 1
@@ -47,22 +44,22 @@ fi
 inputdir=`get_abs_path "$1"`
 outputdir=`get_abs_path "$2"`
 
-if [ "$AFL_ALLOW_TMP" = "" ]; then
-
-  echo "$inputdir" | grep -qE '^(/var)?/tmp/'
-  T1="$?"
-
-  echo "$outputdir" | grep -qE '^(/var)?/tmp/'
-  T2="$?"
-
-  if [ "$T1" = "0" -o "$T2" = "0" ]; then
-
-    echo "[-] Error: this script shouldn't be used with shared /tmp directories." 1>&2
-    exit 1
-
-  fi
-
-fi
+#if [ "$AFL_ALLOW_TMP" = "" ]; then
+#
+#  echo "$inputdir" | grep -qE '^(/var)?/tmp/'
+#  T1="$?"
+#
+#  echo "$outputdir" | grep -qE '^(/var)?/tmp/'
+#  T2="$?"
+#
+#  if [ "$T1" = "0" -o "$T2" = "0" ]; then
+#
+#    echo "[-] Error: this script shouldn't be used with shared /tmp directories." 1>&2
+#    exit 1
+#
+#  fi
+#
+#fi
 
 if [ ! -f "$inputdir/plot_data" ]; then